<HTML>
  <HEAD>
     
     <TITLE>Administracion de Consultas Odontol&oacute;gicas</TITLE>
     <style type="text/css" media="all">@import "./estilos.css";</style>
  </HEAD>

  <body class="fondo">
   <?php

   //Definicion de variables de entrada
    $s_usuario    = $_GET['s_usuario'];
    $s_empresa    = $_GET['s_empresa'];
    $s_cargo      = $_GET['s_cargo'];
    $s_nitEmpresa = $_GET['s_nitEmpresa'];
    $s_codSede    = $_GET['s_codSede'];
    $s_idUsuario  = $_GET['s_idUsuario'];
    $s_unCode     = $_GET['s_unCode'];
 
    //adecua campos string para ser enviado por la url
     $s_usuarioSinESpacios = str_replace(" ","%20",$s_usuario);
     $s_usuaUrlCode = urlencode($s_usuario);
     $s_usuarioUrlDecode = urldecode($s_usuaUrlCode );
     $s_cargoSinESpacios = str_replace(" ","%20",$s_cargo);
     $s_cargoUrlCode = urlencode($s_cargo);
     $s_cargoUrlDecode = urldecode($s_cargoUrlCode );
     $s_empresaSinESpacios = str_replace(" ","%20",$s_empresa);
     $s_empresaUrlCode = urlencode($s_empresa);
     $s_empresaUrlDecode = urldecode($s_empresaUrlCode );

     //recibe tipo numero de identificacion

     $s_tipoId      = $_GET['tipoId']; 
     $s_identifica  = $_GET['identifica'];

 ?>
   <form method='get' action='historiaGeneral.php'>     
   
    <?php
    
      // conexion a la base de datos
     include("conexionOdo.php");

    // Realiza consulta de usuarios MySQL
     $query = "SELECT count(*) AS numC FROM SIO_CON_PACIENTE WHERE idPaciente=$s_identifica AND tipoHistoria ='URGENCIAS'";
     $result = mysql_query($query) or die('Consulta fallida: ' . mysql_error());
     $line = mysql_fetch_array($result, MYSQL_ASSOC);

     //asigna valores a variables de trabajo
     $consultas = $line["numC"];
     
     // Liberar resultados
     mysql_free_result($result);
  
  
   //  if ($consultas == 0)
   //  {
       // include("historiaClinica.php");
   //  }
   //  else
   //  {
       $query = "SELECT A.numConsulta, A.fechaConsulta, A.medConsulta, ".
                "  CONCAT(B.nomPaciente, ' ',  B.apell1paciente, ' ',  B.apell2Paciente) AS paciente, ".
                "  CONCAT(C.nomUsuario,  ' ',  C.apell1Usuario,  ' ',  C.apell2Usuario) AS usuario, ". 
                "  A.tipoHistoria AS tipo ".
                " FROM SIO_CON_PACIENTE A, SIME_BAS_PACIENTE B, SIME_BAS_N_USUARIOS C ".
                " WHERE A.idPaciente = B.idPaciente AND ".
                "       A.medConsulta= C.idUsuario  AND " .
                "       A.idPaciente = $s_identifica AND ".
                "       A.tipoId = '$s_tipoId' AND tipoHistoria ='URGENCIAS' GROUP BY A.numConsulta ORDER BY A.numConsulta desc";
                              
       $result = mysql_query($query) or die('Consulta de lista de consultas fallida: ' . mysql_error());

       //$line = mysql_fetch_array($result, MYSQL_ASSOC);
  
       $cantRegistros=mysql_num_rows($result);
 
       $i=0;
       while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
       
           $s_numConsulta    = $line["numConsulta"];
           $s_fechaConsulta  = $line["fechaConsulta"];
           $s_medConsulta    = $line["medConsulta"];
           $s_paciente       = $line["paciente"];
           $s_usuario        = $line["usuario"];
           $s_tipo           = $line["tipo"];
           
           $s_paciente = 'Paciente: ' . $s_paciente .'  No. documento: '.$s_identifica;
           
           $queryMed = " SELECT CONCAT(nomUsuario, ' ', apell1Usuario) AS medico " .
                       " FROM SIME_BAS_N_USUARIOS WHERE idUsuario = $s_medConsulta"; 
                       
           $resultMed = mysql_query($queryMed) or die('Consulta de nombre de medico fallida: ' . mysql_error());           
           $lineMed   = mysql_fetch_array($resultMed, MYSQL_ASSOC);
           $nomMedico = $lineMed["medico"]; 
           
         
           echo("<table class='camposTabla' align='center' width='300' border='1' cellpading='0'>\n");
             //echo ("<form method='post' action='historiaClinica.php'>\n");
              if ($i==0){// para mostrar titulos 
                 echo ("<tr>\n");
                   echo   ("<td class='titulosTabla' align='center' colspan='4'>CONSULTAS REALIZADAS</td>\n");
                 echo("</tr>\n");
                 echo("<tr>\n");
                  echo   ("<td class='subtutulosTabla' align='left' colspan='4'>$s_paciente</td>\n");
                 echo("</tr>\n");
                 echo("<tr>\n");
                  //echo("<td align='center'>SELECCIONAR</td>\n");
                  echo("<td width='20%' align='center'>No.</td>\n");
                  echo("<td width='60%' align='center'>Tipo</td>\n");
                  echo("<td width='20%' align='center'>Fecha</td>\n");
                echo("</tr>\n");
              }
              
            echo ("<tr>\n");
              
             if ($s_tipo=="TRATAMIENTO")
             {
               $le  = $s_numConsulta;
               $leT = base64_encode($le);
               session_start();
               $_SESSION['cedula'] = $s_identifica;
               $_SESSION['tipoId'] = $s_tipoId;
               echo("<td width='25%' align='center'><a href=sioHisTratCon.php?lin=$leT target='central'>$s_numConsulta</a></td>\n");
             }
             else
             { 

               $lcH  = $s_tipo ."/" . $s_tipoId ."/" . $s_identifica . "/" . "CITAS" . "/" . $s_numConsulta;
               $lcH1 = base64_encode($lcH);

               echo("<td width='100' align='left'><a href=sioConHis.php?lin=$lcH1 target='central'><span class='icon-zoom-in' style='font-size:14px; color:rgba(41, 128, 185, 1);'> <span style='font-size:14px; font-family:Arial; color:rgba(41, 128, 185);'>$s_numConsulta</a></td>\n");
             }

   
             echo("<td width='50%' align='left'>$s_tipo</td>\n");
            
             echo("<td width='25%' align='left'>$s_fechaConsulta</td>\n");
            echo("</tr>\n");
            
            echo ("<tr>\n");         
              echo("<td colspan='3' class='negrita' align='left'><i>Atendio: $nomMedico</i></td>\n");
            echo ("</tr>\n");


           $i = $i+1;
       }//while    
           
       if ($i==0)
       {
         echo("<table align= 'center' class='camposTabla' width='100%'  border='1' cellpading='0'>\n");
           echo("<tr>\n");
             echo("<td align='center'>El paciente no tiene historias odontol&oacute;gicas relacionadas</td>\n");
           echo("</tr>\n");
         echo ("</table>\n") ;    
       }

     ?>
</table>
       
</form>  

<?php
/*
 <tr> 
  //  esta va al final de la tabla antes de los input hidden<td align="center"> 
//<a href=menuOpciones.php?e_nitEmpresa=<?=$s_nitEmpresa?>&e_codSede=<?=$s_codSede?>&e_idUsuario=<?=$s_idUsuario?>&e_usuario=<?=$s_usuaUrlCode?>&e_empresa=<?=$s_empresaUrlCode?>&e_cargo=<?=$s_cargoUrlCode?>><img src="/imagenes/btnVol.jpg"></a></td>
</tr>
*/
//}
?>
 
<?php
 // Liberar resultados
 mysql_free_result($result);
 // Cerrar la conexion
 mysql_close($link);
?>
  </BODY>
  
           

</HTML>